Bug 743002 - nsiswrapper uses non-default installing path
Summary: nsiswrapper uses non-default installing path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-nsiswrapper
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-03 14:45 UTC by Ivan Romanov
Modified: 2011-10-18 22:20 UTC (History)
2 users (show)

Fixed In Version: mingw32-nsiswrapper-8-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 00:45:32 UTC
Type: ---


Attachments (Terms of Use)
patch to fix (308 bytes, patch)
2011-10-03 14:45 UTC, Ivan Romanov
no flags Details | Diff

Description Ivan Romanov 2011-10-03 14:45:16 UTC
Created attachment 526079 [details]
patch to fix

[20:17:28] <drizt> rwmjones: hi. On Windows applications use $ProgramFiles as directory by default. Maybe should use this as default for nsiswrapper instead of c:\ ?
[20:17:57] <rwmjones> drizt: guess so, got a patch?
[20:20:30] <drizt> wait a minute
[20:32:59] <drizt> rwmjones: http://fpaste.org/Xwi2/
[20:37:38] <rwmjones> drizt: can you attach it to a BZ, otherwise I'm going to forget to do this
[20:38:17] <drizt> sure

Comment 1 Richard W.M. Jones 2011-10-03 15:57:02 UTC
Yup, looks good.  Do you want to try adding the patch
yourself this time?

Comment 3 Ivan Romanov 2011-10-03 16:10:34 UTC
Yes, I want.

Comment 4 Ivan Romanov 2011-10-07 04:45:46 UTC
I have apply patch. Tested. All ok. And have push it into rawhide. What next? Perphars I want to make yet one issue :) . And then I want to build package for F16 and F15.

Comment 5 Richard W.M. Jones 2011-10-07 07:38:44 UTC
You don't need to do anything for Rawhide.

For F16/F15, cherry pick the patch into those branches in git,

For each branch you need to do:

fedpkg switch-branch f16
git cherry-pick 793dcd07d61682740f15dd6b95bde33ac48e51b8
(fix the cherry pick and commit it)

git show
# check the commit

fedpkg push
fedpkg build
fedpkg update

You must remember to do the fedpkg update, otherwise the
build will not be added to Fedora (this step is not needed for
Rawhide).

Comment 6 Fedora Update System 2011-10-07 15:26:13 UTC
mingw32-nsiswrapper-8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mingw32-nsiswrapper-8-1.fc16

Comment 7 Fedora Update System 2011-10-07 15:28:26 UTC
mingw32-nsiswrapper-8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mingw32-nsiswrapper-8-1.fc15

Comment 8 Fedora Update System 2011-10-07 15:29:38 UTC
mingw32-nsiswrapper-8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-nsiswrapper-8-1.fc14

Comment 9 Ivan Romanov 2011-10-07 18:05:19 UTC
I wonder. Whether I should build package for epel? It's so old.

Comment 10 Fedora Update System 2011-10-08 23:33:48 UTC
Package mingw32-nsiswrapper-8-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw32-nsiswrapper-8-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13959
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-10-17 00:45:32 UTC
mingw32-nsiswrapper-8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-10-18 22:13:21 UTC
mingw32-nsiswrapper-8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-10-18 22:20:51 UTC
mingw32-nsiswrapper-8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.